Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/14432/?format=api
{ "ob_id": 14432, "uuid": "bfed8e67ce854d6297b579a213f8588f", "title": "Armagh Observatory: Monthly Automatic Weather Station measurements 2004 to present", "abstract": "Atmospheric temperature observations from the Armagh Observatory, founded in 1790 by Archbishop Richard Robinson. As well as astronomical observations various meteorological parameters have been recorded since 1794. If users wish to find data from other areas of work undertaken by the observatory they should visit the Armagh Observatory website.\r\n\r\nThis dataset contains monthly measurements and summaries of air temperature, air pressure, rainfall, wind speed, wind direction, total cloud and hours of sunshine from an automatic weather station.", "keywords": "Armagh, Air temperature, rainfall, pressure, cloud, sunshine, wind", "publicationState": "published", "dataPublishedTime": "2016-03-15T10:31:56", "doiPublishedTime": null, "updateFrequency": "monthly", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/14433/?format=api", "dataPath": "/badc/armagh/data/armagh-met-sensors", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 3294069, "numberOfFiles": 971, "fileFormat": "Data are ASCII formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3810/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/36/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data are collected at the Armagh Observatory and obtained by the Centre of Environmental Data Analysis (CEDA) for use by the research community.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/2318/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/2315/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56009/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56004/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56005/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56010/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56003/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56007/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56008/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56006/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/2321/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }